You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
ORPA-pyOpenRPA/Resources/WPy64-3720/python-3.7.2.amd64/Lib/site-packages/Naked/templates/pypush_file.py

33 lines
586 B

#!/usr/bin/env python
# encoding: utf-8
# VARS = year
pypush_file_string = """
#!/bin/sh
# Scriptacular - pypush.sh
# Create a Python source distribution and push it to PyPI
# Copyright {{year}} Christopher Simpkins
# MIT License
# Build and push to PyPI
python setup.py sdist upload
# Confirm that it worked
if (( $? )); then
echo "Unable to distribute your release to PyPI" >&2
exit 1
fi
python setup.py bdist_wheel upload
# Confirm that wheel distribution worked
if (( $? )); then
echo "Unable to distribute your wheel to PyPI" >&2
exit 1
fi
# Exit success
exit 0
"""